classification
Title: Add macro `HAVE_OPENSSL_VERIFY_PARAM` to avoid invalid function declaration
Type: compile error Stage: resolved
Components: SSL Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes, signal1587
Priority: normal Keywords: patch

Created on 2017-07-06 11:37 by signal1587, last changed 2017-09-06 14:04 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
_ssl.patch signal1587, 2017-07-06 11:37
Messages (2)
msg297825 - (view) Author: signal1587 (signal1587) * Date: 2017-07-06 11:37
Compile Python (2.7.13) on platform which has OpenSSL (<0.9.8) will met error:

  /opt/Python-2.7.13/Modules/_ssl.c:177: error: syntax error before ‘*’ token

Since return type `X509_VERIFY_PARAM` got added to OpenSSL in version 0.9.8.

Surround the implementation of function `X509_STORE_get0_param` in (#ifdef HAVE_OPENSSL_VERIFY_PARAM ... #endif) guarantee to solve this problem.
msg301470 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-06 14:04
OpenSSL 0.9.7 and earlier are no longer supported. In fact OpenSSL < 1.0.2 is no longer maintained by upstream OpenSSL developers. 2.7 is known to work with recent releases such as 0.9.8zh. 0.9.7 is definitely out of scope.
History
Date User Action Args
2017-09-06 14:04:09christian.heimessetstatus: open -> closed
resolution: wont fix
messages: + msg301470

stage: resolved
2017-07-24 09:12:36signal1587settitle: Add necessary macro that insure `HAVE_OPENSSL_VERIFY_PARAM` to avoid invalid function declaration -> Add macro `HAVE_OPENSSL_VERIFY_PARAM` to avoid invalid function declaration
2017-07-06 11:51:15signal1587settitle: Add necessary macro that insure`HAVE_OPENSSL_VERIFY_PARAM` to avoid invalid function declaration -> Add necessary macro that insure `HAVE_OPENSSL_VERIFY_PARAM` to avoid invalid function declaration
2017-07-06 11:50:30signal1587settitle: Add necessary macro `HAVE_OPENSSL_VERIFY_PARAM` to avoid invalid declaration -> Add necessary macro that insure`HAVE_OPENSSL_VERIFY_PARAM` to avoid invalid function declaration
2017-07-06 11:37:12signal1587create